IRPCExportedDataSets.GetExportedDataSets

View as Markdown

Vault API / standard read session idempotent

Gets all exported data sets of the vault.

ServiceExported data sets MFiles.IRPCExportedDataSets
gRPC method/MFiles.IRPCExportedDataSets/GetExportedDataSets
HTTP (mf-http-grpc)POST /grpc/v1/get-exported-data-sets
RequestGetExportedDataSetsRequest
ResponseGetExportedDataSetsResponse
Book and levelVault API, standard
Kindread
SessionRequired: the session ID from LogIn in the mfiles-session-id-bin metadata.
Idempotentyes
Returns metadata structure versionno
Streamingnone (unary)

Remarks

Request: GetExportedDataSetsRequest

No fields.

Response: GetExportedDataSetsResponse

Nested message fields are expanded to depth 3; follow a type link for deeper levels and for the type's own page.

FieldTypeDescription
results[]repeated ExportedDataSetThe exported data sets. See ExportedDataSet.
results[].idint32Exported data set ID.
results[].namestringThe name of the data set.
results[].object_types[]repeated ExportedDataObjectTypeRoot nodes representing an object type.
results[].object_types[].object_typeint32Object type or value list ID.
results[].object_types[].property_defs[]repeated ExportedDataPropertyDefChild property definition nodes.
results[].object_types[].object_filterSearchConditionArrayThe filtering conditions that limit the object set of this node.
results[].optionsEXPORTEDDATASETFLAGSData set flags.
results[].options.allboolSpecifies all flags set; Including any future flags.
results[].options.disabledboolPresent if the data set is disabled. If not present, the data set is enabled.
results[].options.scheduledboolPresent if the data set execution is scheduled.
results[].options.incrementalboolExported data set flags.
results[].schedulebytesThe schedule of this data set extraction (a serialized Task object of Task Scheduler).
results[].database_connection_stringstringThe database connection string.
results[].run_as_user_idint32"Run as" user id for the exported data set.
results[].database_schemaExportedDataSetDBSchemaThe database schema.Values: EXPORTED_DATA_SET_DBSCHEMA_GENERIC (0).